EDIT - bug #9526

Sort order in E+M distribution string should be strictly alphabetic
03/12/2021 12:05 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

Currently it is according to vocabulary (which is ordered alphabetically on same levels but ofcourse not for subareas) and therefore
not correct for fallback areas.

Example for incorrect order: Urtica dioica
http://www.europlusmed.org/cdm_dataportal/taxon/38a24b86-06a8-4ec6-962a-b816db7c7a67

Ag Al Au(A L) Be(L) Br Bu By Co Cs Ct Cy Da Fa Fe Ga(C F) Ge Gr Hb(E N) He Ho Hs(A S) Hu Ir Is It Le Li Lu Ma Mk Mo No Po
Rf(C CS E K N NW S) Rm Sa Si(S) Sk SI Su Sy Tn Tu(A E) Cm Uk Sr Ab(A) Ar Gg Cg Es La Lt

on Test: Sy Tu(A E) Tn Uk(Cm U) Es Lt La Ab(A) Ar Gg Cg Sr
https://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/taxon/38a24b86-06a8-4ec6-962a-b816db7c7a67

Related issues:
Related to EDIT - bug #8297: Fix condensed distribution string for E+M Closed

Related to EDIT - feature request #9502: Implement subarea preference rule an... Resolved

Associated revisions

Revision bb365222 - 03/12/2021 12:06 PM - Andreas Muller
ref #9526

History

#1 - 03/12/2021 12:05 PM - Andreas Miiller
- Related to bug #8297: Fix condensed distribution string for E+M added

#2 - 03/12/2021 12:06 PM - Andreas Miuller

- Related to feature request #9502: Implement subarea preference rule and fallback areas for areas with complex hierarchy added

#3 - 03/12/2021 03:18 PM - Andreas Miller

- Description updated

#4 - 03/12/2021 03:45 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Miiller to Eckhard von Raab-Straube

- % Done changed from 0 to 50

This should be fixed. Eckhard, can you please review on test server (see link above) it it is ok

#5 - 04/16/2021 09:19 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Eckhard von Raab-Straube to Andreas Mdiller

- % Done changed from 50 to 100

| guess this is fixed. We may reopen if new issues arise.
